package com.ffii.lioner.modules.master.req;

import java.util.List;

import com.ffii.lioner.modules.master.entity.SubDivision;

import jakarta.validation.constraints.Size;

/** @author Jason Lam */
public class UpdateDivisionReq {

    private Long id;
    
	@Size(max = 255)
	private String name;

    private String branch;

    private List<UpdateSubDivisionReq> subDivisionList;

    private List<Long> subDivisionDeleteList;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBranch() {
        return this.branch;
    }

    public void setBranch(String branch) {
        this.branch = branch;
    }

    public List<UpdateSubDivisionReq> getSubDivisionList() {
        return this.subDivisionList;
    }

    public void setSubDivisionList(List<UpdateSubDivisionReq> subDivisionList) {
        this.subDivisionList = subDivisionList;
    }

    public List<Long> getSubDivisionDeleteList() {
        return this.subDivisionDeleteList;
    }

    public void setSubDivisionDeleteList(List<Long> subDivisionDeleteList) {
        this.subDivisionDeleteList = subDivisionDeleteList;
    }


}
